package com.gic.demo.single.web.security.handler;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.security.core.Authentication;

import com.gic.authcenter.security.core.authc.AuthcenterAuthenticationSuccessHandler;

/**
 * 认证成功
 * 
 * @author leeon
 *
 */
public class CustomAuthenticationSuccessHandler extends AuthcenterAuthenticationSuccessHandler {

	Logger logger = LogManager.getLogger(getClass());

	@Autowired
	private Environment environment;

	@Override
	public void onAuthenticationSuccess(HttpServletRequest request, HttpServletResponse response, Authentication authentication)
			throws IOException, ServletException {
		super.onAuthenticationSuccess(request, response, authentication, environment);
	}

}
